Debian Bug report logs - #309907
dh-make-perl: add some warnings

version graph

Package: dh-make-perl; Maintainer for dh-make-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for dh-make-perl is src:dh-make-perl.

Reported by: Marc Chantreux <marc.chantreux@ulpmm.u-strasbg.fr>

Date: Fri, 20 May 2005 12:03:01 UTC

Severity: normal

Found in version 0.17

Done: Gunnar Wolf <gwolf@gwolf.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gunnar Wolf <gwolf@debian.org>:
Bug#309907; Package dh-make-perl. Full text and rfc822 format available.

Acknowledgement sent to Marc Chantreux <marc.chantreux@ulpmm.u-strasbg.fr>:
New Bug report received and forwarded. Copy sent to Gunnar Wolf <gwolf@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Chantreux <marc.chantreux@ulpmm.u-strasbg.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dh-make-perl: add some warnings
Date: Fri, 20 May 2005 13:50:34 +0200
Package: dh-make-perl
Version: 0.17
Severity: normal


dh-make-perl does not provide warnings when there is no Makefile.PL and no META.yml
( this is the case for Module::Build users )

I have fixed it in the 0.17 distribution, patch  available here :

http://khatar.phear.org/dh-make-perl_from017.diff


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-386
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)

Versions of packages dh-make-perl depends on:
ii  debhelper                     4.2.32     helper programs for debian/rules
ii  dpkg-dev                      1.10.27    Package building tools for Debian
ii  fakeroot                      1.2.10     Gives a fake root environment
ii  libmodule-depends-perl        0.07-1     identify the dependencies of a dis
ii  libyaml-perl                  0.39-1     YAML Ain't Markup Language (tm)
ii  make                          3.80-9     The GNU version of the "make" util
ii  perl                          5.8.4-8    Larry Wall's Practical Extraction 
ii  perl-modules [libpod-parser-p 5.8.4-8    Core Perl modules

-- no debconf information



Reply sent to Gunnar Wolf <gwolf@gwolf.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marc Chantreux <marc.chantreux@ulpmm.u-strasbg.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 309907-done@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: 309907-done@bugs.debian.org
Subject: Closed long time ago
Date: Sun, 13 Aug 2006 18:05:48 -0500
[Message part 1 (text/plain, inline)]
Reviewing old pending bugs in my packages, I came across this one -
the patch is no longer available, but it seems to have been corrected
in 0.18.

Greetings,

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)5623-0154 / 1451-2244
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 12:12:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:38:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.